import React from "react";
import { Redirect, Route, Switch } from "react-router-dom";
import ProductWrapper from "../pages/products/ProductWrapper";
import Product from "../pages/products/Products/Products"
import Products from "../pages/products/Products/Products";

function ProductsRoute() {
  return (
    <Switch>
      <ProductWrapper>
        <Route
          path={`${process.env.PUBLIC_URL}/products/products`}
          exact
          component={Products}
        />
        <Route path={`${process.env.PUBLIC_URL}/products`} exact>
          <Redirect to={`${process.env.PUBLIC_URL}/products/products`} />
        </Route>
      </ProductWrapper>
    </Switch>
  );
}

export default ProductsRoute;
